%global momorel 4
%global real_version 0.8.5a

Summary: Network monitoring/graphing tool
Name: cacti
Version: 0.8.5
Release: %{momorel}m
License: GPL
Group: Applications/System
URL: http://www.raxnet.net/products/cacti/

Source: http://www.raxnet.net/downloads/cacti/cacti-%{real_version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: MySQL-devel
BuildRequires: net-snmp-devel

Requires: webserver, MySQL, net-snmp, rrdtool
Requires: php, php-mysql, php-snmp, php-rrdtool

%description
Cacti is a complete frontend to RRDTool. It stores all of the necessary 
information to create graphs and populate them with data in a MySQL
database. 

The frontend is completely PHP driven. Along with being able to maintain
graphs, data sources, and round robin archives in a database, Cacti also
handles the data gathering. There is SNMP support for those used to
creating traffic graphs with MRTG.

%prep
%setup -q -n %{name}-%{real_version}

%{__perl} -pi.orig -e 's|/lib([ /])|/%{_lib}$1|g' cactid/configure

echo -e "#*/5 * * * *\tcacti\tphp %{_localstatedir}/www/cacti/cmd.php &>/dev/null" >cacti.crontab

### Add a default cacti.conf for Apache.
%{__cat} <<EOF >cacti.httpd
Alias /cacti/ %{_localstatedir}/www/cacti/
<Directory %{_localstatedir}/www/cacti/>
        DirectoryIndex index.php
	Options -Indexes
	AllowOverride all
        order deny,allow
        deny from all
        allow from 127.0.0.1
</Directory>
EOF

%build
cd cactid
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_localstatedir}/www/cacti/
%{__install} -m0644 *.php cacti.sql %{buildroot}%{_localstatedir}/www/cacti/
%{__cp} -avx docs/ images/ include/ install/ lib/ log/ resource/ rra/ scripts/ %{buildroot}%{_localstatedir}/www/cacti/

%{__install} -D -m0755 cactid/cactid %{buildroot}%{_bindir}/cactid
%{__install} -D -m0644 cactid/cactid.conf %{buildroot}%{_sysconfdir}/cactid.conf
%{__install} -D -m0644 cacti.crontab %{buildroot}%{_sysconfdir}/cron.d/cacti
%{__install} -D -m0644 cacti.httpd %{buildroot}%{_sysconfdir}/httpd/conf.d/cacti.conf.dist

%pre
useradd -d %{_localstatedir}/www/cacti cacti &>/dev/null || :
echo "Please check crontab /etc/cron.d/cacti"
sleep 5

%postun
userdel cacti &>/dev/null || :

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc LICENSE README cactid/AUTHORS cactid/ChangeLog cactid/COPYING cactid/INSTALL cactid/NEWS
%doc docs/
%config(noreplace) %{_sysconfdir}/cactid.conf
%config(noreplace) %{_localstatedir}/www/cacti/include/config.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/cacti.conf.dist
%config %{_sysconfdir}/cron.d/*
%dir %{_localstatedir}/www/cacti/
%{_localstatedir}/www/cacti/*.php
%{_localstatedir}/www/cacti/cacti.sql
%{_localstatedir}/www/cacti/docs/
%{_localstatedir}/www/cacti/images/
%{_localstatedir}/www/cacti/include/
%{_localstatedir}/www/cacti/install/
%{_localstatedir}/www/cacti/lib/
%{_localstatedir}/www/cacti/resource/
%{_localstatedir}/www/cacti/scripts/
%{_bindir}/*
%defattr(-, cacti, cacti, 0755 )
%{_localstatedir}/www/cacti/log/
%{_localstatedir}/www/cacti/rra/

%changelog
* Sat Jul 24 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.8.5-4m)
- stop service

* Mon Jul 19 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.8.5-3m)
- merge docs

* Mon Jul 19 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.8.5-2m)
- stop cron

* Sun Jul 18 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.5-1m)
- import to momonga
- s/mysql/MySQL/g at buildrequires requires

* Thu Jun 10 2004 Dag Wieers <dag@wieers.com> - 0.8.5-2.a
- Fixed correct location in cron script. (Alex Vitola)

* Fri Apr 02 2004 Dag Wieers <dag@wieers.com> - 0.8.5-1.a
- Updated to release 0.8.5a.

* Thu Apr 01 2004 Dag Wieers <dag@wieers.com> - 0.8.5-1
- Fixed cacti.httpd. (Dean Takemori)

* Tue Feb 17 2004 Dag Wieers <dag@wieers.com> - 0.8.5-0
- Cosmetic rebuild for Group-tag.
- Initial package. (using DAR)
